using System;

// Compiler soll CLS-Kompatibilitt prfen
[assembly: CLSCompliant(true)]

namespace SomeLibrary
{
    // Warnungen, weil die Klasse ffentlich ist
    public sealed class SomeLibraryType
    {
        // Warnung: Der Rckgabetyp von 'SomeLibrary.SomeLibraryType.Abc()'
        // ist nicht CLS-kompatibel.
        public UInt32 Abc() { return 0; }
        // Warnung: Der Bezeichner 'SomeLibrary.SomeLibraryType.abc()', der
        // sich nur hinsichtlich der Gro- und Kleinschreibung unterscheidet,
        // ist nicht CLS-kompatibel.
        public void abc() { }
        // Kein Fehler: Diese Methode ist privat.
        private UInt32 ABC() { return 0; }
    }
}
