﻿using System;

public sealed class SomeType {                                  //  1

   // Verschachtelte Klasse
   private class SomeNestedType { }                             //  2

   // Konstante, schreibgeschütztes Feld und
   // statisches Feld, das gelesen und geändert werden kann
   private const    Int32 SomeConstant       = 1;               //  3
   private readonly Int32 SomeReadOnlyField  = 2;               //  4
   private static   Int32 SomeReadWriteField = 3;               //  5

   // Typkonstruktor
   static SomeType() { }                                        //  6

   // Instanzkonstruktoren
   public SomeType() { }                                        //  7
   public SomeType(Int32 x) { }                                 //  8

   // Instanzmethode und statische Methode
   private String InstanceMethod() { return null; }             //  9
   public static void Main() {}                                 // 10

   // Parameterlose Instanzeigenschaft
   public Int32 SomeProp {                                      // 11
      get { return 0;  }                                        // 12
      set { }                                                   // 13
   }

   // Instanzeigenschaft mit Parameter
   public Int32 this[String s] {                                // 14
      get { return 0; }                                         // 15
      set { }                                                   // 16
   }

   // Instanzereignis
   public event EventHandler SomeEvent;                         // 17
}
