﻿using System;

public sealed class Program {
	public static void Main() {
		// Zeigt "15" an.
		Console.WriteLine(Add(new Int32[] { 1, 2, 3, 4, 5 }));

      // Zeigt "15" an.
		Console.WriteLine(Add(1, 2, 3, 4, 5 ));

      // Zeigt "0" an.
		Console.WriteLine(Add());

		DisplayTypes(new Object(), new Random(), "Jeff", 5);
	}

	private static Int32 Add(params Int32[] values) {
		// HINWEIS: Es ist möglich, das Array 'values' 
		// bei Bedarf an andere Methoden zu übergeben.

		Int32 sum = 0;
		for (Int32 x = 0; x < values.Length; x++)
			sum += values[x];
		return sum;
	}


	private static void DisplayTypes(params Object[] objects) {
		foreach (Object o in objects)
			Console.WriteLine(o.GetType());
	}
}
