using System;
using System.Text;

public static class Program {
   public static void Main() {
      // Diesen String werden wir kodieren.
      String s = "Hi there.";

      // Ein von Encoding abgeleitetes Objekt holen; dieses Objekt
      // wei, wie UTF-8-Kodierung/Dekodierung funktioniert.
      Encoding encodingUTF8 = Encoding.UTF8;

      // Einen String in ein Array aus Bytes kodieren.
      Byte[] encodedBytes = encodingUTF8.GetBytes(s);

      // Die kodierten Bytes anzeigen.
      Console.WriteLine("Kodierte Bytes: " +
         BitConverter.ToString(encodedBytes));

      // Das Byte-Array zurck in einen String dekodieren.
      String decodedString = encodingUTF8.GetString(encodedBytes);

      // Den dekodierten String anzeigen.
      Console.WriteLine("Dekodierter String: " + decodedString);
   }
}
