using System;

public enum Color { Red }

[AttributeUsage(AttributeTargets.All)]
public sealed class SomeAttribute : Attribute {
	public SomeAttribute(String name, Object o, Type[] types) {
      // 'name'  ist ein String.
      // 'o'     ist einer der erlaubten Typen (wird bei
      //         Bedarf geschachtelt).
      // 'types' ist ein eindimensionales Array mit
      //         Type-Objekten, dessen Startindex 0 ist.
	}
}

[Some("Jeff", Color.Red, new Type[] { typeof(Math), typeof(Console) })]
public sealed class SomeType {
}
