using System;

public sealed class Program {
	public static void Main() {
	}

	private void SomeMethod() {

      try
      {
         // In den try-Block kommt der Code, fr den Sie Fehler abfangen
         // wollen oder nach dessen Ausfhrung Sie Bereinigungscode bentigen.
      }
      catch (InvalidCastException)
      {
         // In diesen catch-Block kommt der Code, der die Ausnahme
         // InvalidCastException behandelt (oder irgendeinen
         // Ausnahmetyp, der von InvalidCastException abgeleitet ist).
      }
      catch (NullReferenceException)
      {
         // In diesen catch-Block kommt der Code, der die Ausnahme
         // NullReferenceException behandelt (oder irgendeinen Ausnahmetyp,
         // der von NullReferenceException abgeleitet ist).
      }
      catch (Exception)
      {
         // In diesen catch-Block kommt der Code, der eine beliebige 
         // CLS-kompatible Ausnahme behandelt.

         // Wenn Sie eine CLS-kompatible Ausnahme abfangen, lsen Sie 
         // die Ausnahme normalerweise erneut aus.
         throw;
      }
      catch
      {
         // In diesen catch-Block kommt der Code, der eine beliebige
         // Ausnahme behandelt, CLS-kompatibel oder nicht.

         // Wenn Sie eine beliebige Ausnahme abgefangen haben,
         // lsen Sie die Ausnahme normalerweise erneut aus.
         throw;
      }
      finally
      {
         // In den finally-Block kommt der Code, mit dem Sie nach
         // allen Operationen aufrumen, die im try-Block begonnen
         // wurden. Der Code in diesem Block wird IMMER ausgefhrt,
         // egal ob eine Ausnahme ausgelst wurde oder nicht.
      }
      // Der Code nach dem finally-Block wird ausgefhrt, falls innerhalb
      // des try-Blocks keine Ausnahme ausgelst wurde oder falls ein
      // catch-Block die Ausnahme abgefangen, aber keine Ausnahme erneut
      // ausgelst hat.
   }
}
