using System;
using System.IO;
using System.Runtime.CompilerServices;
using System.Diagnostics;

public sealed class Progam {
   public static void Main() {
      TextWriter tw = new StringWriter();
      SomeType st = new SomeType(tw);

      // PrepareDelegate erzwingt, dass WriteBytes jetzt kompiliert wird.
		RuntimeHelpers.PrepareDelegate(new M(st.WriteBytes));

      // Jetzt den Debugger starten, damit ich die Einzelschrittausfhrung in 
      // WriteBytes beginnen und den nativen Code im Disassembler-Fenster ansehen kann.
      // HINWEIS: Wenn der Debugger erst nach dem Kompilieren des Code gestartet wird,
      // wird optimierter Code generiert.
		Debugger.Launch();

      st.WriteBytes(new Byte[] { 1, 2, 3 });
   }

   private delegate void M(Byte[] l);
}


internal sealed class SomeType {
   private TextWriter m_textWriter;

   public SomeType(TextWriter tw) {
      m_textWriter = tw;
   }

   public void WriteBytes(Byte[] bytes) {
      for (Int32 x = 0; x < bytes.Length; x++) {
         m_textWriter.Write(bytes[x]);
      }
   }
}
