#include <Windows.h>
#include <MSCorEE.h>
#include <stdio.h>

void main(int argc, WCHAR **argv) {
   // CLR laden
   ICLRRuntimeHost *pClrHost;
   HRESULT hr = CorBindToRuntimeEx(
		NULL,                 // Gewnschte CLR-Version (NULL=neueste)
		NULL,                 // Gewnschte GC-Variante (NULL=Workstation)
		0,                    // Gewnschte Startflags
		CLSID_CLRRuntimeHost, // CLSID der CLR
		IID_ICLRRuntimeHost,  // IID von ICLRRuntimeHost
		(PVOID*) &pClrHost);  // Zurckgegebene COM-Schnittstelle

   // (Hier knnen Sie Hostmanager einstellen.)
   // (Hier knnen Sie CLR-Manager abrufen.)

   // CLR initialisieren und starten.
   pClrHost->Start();

   // Eine Assembly laden und eine statische Methode aufrufen, die
   // einen String-Parameter hat und einen Int32 zurckgibt.
   DWORD retVal;
   hr = pClrHost->ExecuteInDefaultAppDomain(
      L"..\\..\\..\\D-Host_MgdAssem\\bin\\Debug\\MgdAssem.dll", 
      L"Wintellect.SomeType", L"SomeMethod", L"Jeff", &retVal);

   // Das Ergebnis anzeigen, das aus dem verwalteten Code zurckgegeben wurde.
   wprintf(L"Rckgabewert des verwalteten Codes: %d", retVal);

   // Diesen Prozess beenden (dabei wird die darin geladene CLR zerstrt).
}
