using System;
using System.Reflection;

public sealed class Program {
   public static void Main() {
      String dataAssembly = "System.Data, version=2.0.0.0, " +
         "culture=neutral, PublicKeyToken=b77a5c561934e089";
      LoadAssemAndShowPublicTypes(dataAssembly);
   }

   private static void LoadAssemAndShowPublicTypes(String assemId) {

      // Die Assembly explizit in diese AppDomain laden.
      Assembly a = Assembly.Load(assemId);

      // Diese Schleife wird einmal fr jeden Typ ausgefhrt, der
      // von der geladenen Assembly ffentlich exportiert wird.
      foreach (Type t in a.GetExportedTypes()) {
         // Den vollstndigen Namen des Typs anzeigen.
         Console.WriteLine(t.FullName);
      }
   }
}
