using System;

public static class Program {
   public static void Main(string[] args) {
      ValueTypeDemo();
   }

   // Verweistyp (wegen 'class')
   class SomeRef { public Int32 x; }

   // Werttyp (wegen 'struct')
   struct SomeVal { public Int32 x; }

   static void ValueTypeDemo()
   {
       SomeRef r1 = new SomeRef();   // Auf dem Heap angelegt
       SomeVal v1 = new SomeVal();   // Auf dem Stack angelegt
       r1.x = 5;                     // Dereferenzieren des Zeigers
       v1.x = 5;                     // Auf dem Stack gendert
       Console.WriteLine(r1.x);      // Zeigt "5" an
       Console.WriteLine(v1.x);      // Zeigt ebenfalls "5" an
       // Die linke Seite in Abbildung 5.1 zeigt die Situation
       // nach dem Ausfhren dieser Zeilen.

       SomeRef r2 = r1;              // Kopiert nur den Verweis (Zeiger)
       SomeVal v2 = v1;              // Auf dem Stack angelegt & Member kopiert
       r1.x = 8;                     // ndert r1.x und r2.x
       v1.x = 9;                     // ndert v1.x, nicht v2.x
       Console.WriteLine(r1.x);      // Zeigt "8" an
       Console.WriteLine(r2.x);      // Zeigt "8" an
       Console.WriteLine(v1.x);      // Zeigt "9" an
       Console.WriteLine(v2.x);      // Zeigt "5" an
       // Die rechte Seite in Abbildung 5.1 zeigt die Situation nach dem Ausfhren ALLER Zeilen.
   }
}
