using System;
struct Point { public Int32 x, y; }
//class Point { public Int32 x, y; }

class Rectangle {
   public Point topLeft = new Point();
   public Point bottomRight = new Point();

   public Rectangle(Int32 left, Int32 top, Int32 right, Int32 bottom) {
      topLeft.x = left;
      topLeft.y = top;
      bottomRight.x = right;
      bottomRight.y = bottom;
   }

   public override String ToString() {
      return String.Format("({0}, {1}) - ({2}, {3})",
         topLeft.x, topLeft.y, bottomRight.x, bottomRight.y);
   }
}

class App {
   static void Main() {
      Rectangle r = new Rectangle(1, 2, 3, 4);
      Point p = r.topLeft;
      p.x = 100;
      Console.WriteLine(r.ToString());
   }
}