using System;

public sealed class AType
{
   // InvalidChars muss immer auf dasselbe Arrayobjekt verweisen.
   public static readonly Char[] InvalidChars = new Char[] { 'A', 'B', 'C' };
}
public sealed class AnotherType
{
   public static void M()
   {
      // Die folgenden Zeilen sind legal, werden kompiliert und ndern
      // erfolgreich die Zeichen im Array InvalidChars.
      AType.InvalidChars[0] = 'X';
      AType.InvalidChars[1] = 'Y';
      AType.InvalidChars[2] = 'Z';

      // Die folgende Zeile ist illegal und wird nicht kompiliert, weil nicht
      // gendert werden darf, worauf InvalidChars verweist.
      //AType.InvalidChars = new Char[] { 'X', 'Y', 'Z' };
   }
}
