using System;

internal sealed class SomeType {
   // Die Felder werden hier nicht explizit initialisiert.
   private Int32 x;
   private String s;
   private Double d;
   private Byte b;

   // Dieser Konstruktor weist allen Feldern ihre Standardwerte zu.
   // Alle anderen Konstruktoren rufen explizit diesen Konstruktor auf.
   public SomeType() {
      x = 5;
      s = "Hi There!";
      d = 3.14159;
   }

   // Dieser Konstruktor ruft erst den Standardkonstruktor auf.
   public SomeType(Int32 x) : this() {
      this.x = x;
   }

   // Dieser Konstruktor ruft erst den Standardkonstruktor auf.
   public SomeType(String s) : this() {
      this.s = s;
   }

   static void Main() {
      new SomeType("Test");
   }
}