﻿using System;
using System.Diagnostics;


///////////////////////////////////////////////////////////////////////////////


public sealed class Rational {
   // Erstellt aus einem Int32 ein Rational
	public Rational(Int32 num) { /* ... */ }

   // Erstellt aus einem Single ein Rational
	public Rational(Single num) { /* ... */ }

   // Konvertiert ein Rational in ein Int32
	public Int32 ToInt32() { /* ... */ return 0; }

   // Konvertiert ein Rational in ein Single
	public Single ToSingle() { /* ... */ return 0f; }

   // Erstellt implizit aus einem Int32 ein Rational und gibt es zurück.
   public static implicit operator Rational(Int32 num)
   {
      return new Rational(num);
   }

   // Erstellt implizit aus einem Single ein Rational und gibt es zurück.
   public static implicit operator Rational(Single num)
   {
      return new Rational(num);
   }

   // Wandelt explizit ein Rational in ein Int32 um und gibt es zurück.
   public static explicit operator Int32(Rational r)
   {
      return r.ToInt32();
   }

   // Wandelt explizit ein Rational in ein Single um und gibt es zurück.
   public static explicit operator Single(Rational r)
   {
		return r.ToSingle();
	}
}


///////////////////////////////////////////////////////////////////////////////


public sealed class Program {
	public static void Main() {
      Rational r1 = 5;         // Implizite Konvertierung von Int32  zu Rational
      Rational r2 = 2.5F;      // Implizite Konvertierung von Single zu Rational

      Int32  x = (Int32)  r1;  // Explizite Konvertierung von Rational zu Int32
      Single s = (Single) r2;  // Explizite Konvertierung von Rational zu Single
	}
}


////////////////////////////// Dateiende ////////////////////////////////////
