using System;
using System.Globalization;

public static class Program {
   public static void Main()
   {
      String s1 = "Strasse";
      String s2 = "Strae";
      Boolean eq;

      // CompareOrdinal gibt einen Wert ungleich null zurck.
      eq = String.Compare(s1, s2, StringComparison.Ordinal) == 0;
      Console.WriteLine("Rein numerischer Vergleich: '{0}' {2} '{1}'", s1, s2,
         eq ? "==" : "!=");

      // Stringvergleich nach den Regeln fr
      // die Sprache Deutsch (de) in Deutschland (DE)
      CultureInfo ci = new CultureInfo("de-DE");

      // Compare gibt null zurck.
      eq = String.Compare(s1, s2, true, ci) == 0;
      Console.WriteLine("Vergleich mit Bercksichtigung der Kultur: '{0}' {2} '{1}'", s1, s2,
         eq ? "==" : "!=");
   }
}
