using System;
using System.Text;

public static class Program {
	public static void Main() {
      // Einen StringBuilder fr die Stringbearbeitung anlegen.
      StringBuilder sb = new StringBuilder();

      // Mit dem StringBuilder einige Vernderungen am String vornehmen.
      sb.AppendFormat("{0} {1}", "Jeffrey", "Richter").Replace(" ", "-");

      // Den StringBuilder in einen String konvertieren,
      // um alle Zeichen in Grobuchstaben umzuwandeln.
      String s = sb.ToString().ToUpper();

      // Den StringBuilder leeren (erzeugt ein neues Char-Array).
      sb.Length = 0;

      // Den String mit den Grobuchstaben in den StringBuilder
      // laden und noch weiter verndern.
      sb.Append(s).Insert(8, "Marc-");

      // Den StringBuilder zurck in einen String konvertieren.
      s = sb.ToString();

      // Den String fr den Benutzer anzeigen.
      Console.WriteLine(s);  // "JEFFREY-Marc-RICHTER"
   }
}
