﻿using System;

public static class Program {
	public static void Main() {
		Array a;

      // Eindimensionales Array mit Startindex 0 anlegen, enthält keine Elemente.
      a = new String[0];
      Console.WriteLine(a.GetType());   // "System.String[]"

      // Eindimensionales Array mit Startindex 0 anlegen, enthält keine Elemente.
      a = Array.CreateInstance(typeof(String),
         new Int32[] { 0 }, new Int32[] { 0 });
      Console.WriteLine(a.GetType());   // "System.String[]"

      // Eindimensionales Array mit Startindex 1 anlegen, enthält keine Elemente.
      a = Array.CreateInstance(typeof(String),
         new Int32[] { 0 }, new Int32[] { 1 });
      Console.WriteLine(a.GetType());   // "System.String[*]"  <-- INTERESSANT!

      Console.WriteLine();

      // Zweidimensionales Array mit Startindex 0 anlegen, enthält keine Elemente.
      a = new String[0, 0];
      Console.WriteLine(a.GetType());   // "System.String[,]"

      // Zweidimensionales Array mit Startindex 0 anlegen, enthält keine Elemente.
      a = Array.CreateInstance(typeof(String),
         new Int32[] { 0, 0 }, new Int32[] { 0, 0 });
      Console.WriteLine(a.GetType());   // "System.String[,]"

      // Zweidimensionales Array mit Startindex 1 anlegen, enthält keine Elemente.
      a = Array.CreateInstance(typeof(String),
         new Int32[] { 0, 0 }, new Int32[] { 1, 1 });
      Console.WriteLine(a.GetType());   // "System.String[,]"
   }
}
