using System;

public interface IWindow {
   Object GetMenu();
}

public interface IRestaurant {
   Object GetMenu();
}

// Dieser Typ ist von System.Object abgeleitet; er implementiert
// die Schnittstellen IWindow und IRestaurant.
public class MarioPizzeria : IWindow, IRestaurant {

   // Dies ist die Implementierung der Methode GetMenu fr die Schnittstelle IWindow.
   Object IWindow.GetMenu() { 
      // ...
      return null;
   }

   // Dies ist die Implementierung der Methode GetMenu fr die Schnittstelle IRestaurant.
   Object IRestaurant.GetMenu() {
      // ...
      return null;
   }

   // Dies ist eine (optionale) GetMenu-Methode, die nichts mit einer Schnittstelle zu tun hat.
   public Object GetMenu() {
      // ...
      return null;
   }
}

public static class Program {
   public static void Main() {
      MarioPizzeria mp = new MarioPizzeria();

      // Diese Zeile ruft die ffentliche GetMenu-Methode von MarioPizzeria auf.
      mp.GetMenu();

      // Diese Zeilen rufen die IWindow.GetMenu-Methode von MarioPizzeria auf.
      IWindow window = mp;
      window.GetMenu();

      // Diese Zeilen rufen die IRestaurant.GetMenu-Methode von MarioPizzeria auf.
      IRestaurant restaurant = mp;
      restaurant.GetMenu();
   }
}
