using System;

[assembly: MyAttr(1)]         // Gilt fr die Assembly
[module: MyAttr(2)]           // Gilt fr das Modul

[type: MyAttr(3)]             // Gilt fr den Typ
internal sealed class SomeType
	<[typevar: MyAttr(4)] T> { // Gilt fr die Variable mit generischem Typ

   [field: MyAttr(5)]         // Gilt fr das Feld
	public Int32 SomeField = 0;

   [return: MyAttr(6)]        // Gilt fr den Rckgabewert
   [method: MyAttr(7)]        // Gilt fr die Methode
	public Int32 SomeMethod(
      [param: MyAttr(8)]      // Gilt fr den Parameter
      Int32 SomeParam) { return SomeParam; }

   [property: MyAttr(9)]      // Gilt fr die Eigenschaft
	public String SomeProp {
      [method: MyAttr(10)]    // Gilt fr die get-Accessormethode
		get { return null; }
	}

   [event: MyAttr(11)]        // Gilt fr das Ereignis
   [field: MyAttr(12)]        // Gilt fr das vom Compiler generierte Feld
   [method: MyAttr(13)]       // Gilt fr die vom Compiler generierten add- & remove-Methoden
	public event EventHandler SomeEvent;
}


[AttributeUsage(AttributeTargets.All)]
public class MyAttr : Attribute {
	public MyAttr(Int32 x) { }
}
