using System;
using System.Threading;

public sealed class Program {
   public static void Main() {
      // Ein Timer-Objekt erstellen, das wei, dass es unsere Methode TimerCallback
      // alle 2000 Millisekunden aufrufen soll.
      Timer t = new Timer(TimerCallback, null, 0, 2000);

      // Warten, bis der Benutzer die Eingabetaste drckt.
      Console.ReadLine();

      // Nach ReadLine auf t verweisen. (Dies wird wegoptimiert.)
      //t = null;

      // Nach ReadLine auf t verweisen. (t berlebt
      // Garbage Collections, bis Dispose zurckkehrt.)
      //t.Dispose();
   }

   private static void TimerCallback(Object o) {
      // Anzeigen, wann diese Methode aufgerufen wird.
      Console.WriteLine("In TimerCallback: " + DateTime.Now);

      // Fr diese Demonstration eine Garbage Collection erzwingen.
      GC.Collect();
   }
}
