using System;
using System.Reflection;

internal sealed class Dictionary<TKey, TValue> { }

public sealed class Program {
   public static void Main() {

      // Einen Verweis auf das Typobjekt des generischen Typs besorgen.
      Type openType = typeof(Dictionary<,>);

      // Den generischen Typ mit TKey=String, TValue=Int32 schlieen
      Type closedType = openType.MakeGenericType(
         new Type[] { typeof(String), typeof(Int32) });

      // Eine Instanz des geschlossenen Typs anlegen.
      Object o = Activator.CreateInstance(closedType);

      // Beweisen, dass es funktioniert.
      Console.WriteLine(o.GetType());
   }
}
